<style>
    #search {
        border-radius: 5px;
        border: 2px solid rgb(240, 240, 240);
        height: 2em;
        width: 30em;
        font-family: 'Open Sans';
        font-size: 1em;

    }

    .input-wrapper {
        width: 30em;
        display: inline-block;
        position: relative;
        padding: 1em;
    }

    .wee {
        position: absolute;
        margin-top: 0.5em;
        right: 1.5em;
    }

    .green {
        color: #30C381;
    }

    .red {
        color: #BD2130;
    }
</style>

<ng-template #greenCheck><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span></ng-template>
<ng-template #yellowCheck><span style="color: #E3B700"><fa-icon [icon]="faPauseCircle"></fa-icon></span></ng-template>
<ng-template #redCheck><span style="color: #BD2130"><fa-icon [icon]="faExclamationCircle"></fa-icon></span></ng-template>

<div>
    <div class="input-wrapper">
        <fa-icon [icon]="faSearch" ngClass="wee"></fa-icon>
        <input type="text" id="search" placeholder="Sök (namn, personnummer, handläggare)">
    </div>
    <digi-table af-variation="secondary">
        <table>
            <thead>
                <tr>
                    <th class="column-header" scope="col" *ngFor="let column of companyColumns; let i = index">
                        <grid-filter-overlay [column]="column" [canBeFiltered]="false" [currentFilters]="[]"
                            (filterSelect)="filterSelect($event)" (closeAllOtherFilters)="closeFilters($event)"
                            [shouldClose]="shouldCloseFilters.asObservable()" [indexNumber]="i"></grid-filter-overlay>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let value of companies" (click)="expandRow(value, $event)" style="cursor: pointer">
                    <td *ngFor="let column of companyColumns">
                        <span *ngIf="column.extraKey !== ''; then tBlock else eBlock"></span>

                        <ng-template #tBlock>
                            <span *ngIf="value[column.extraKey]; then greenCheck else other_content"></span>

                            <span> {{ value[column.key] }}</span>

                            <ng-template #other_content>
                                <span>
                                    <fa-icon [icon]="faExclamationCircle" ngClass="red"></fa-icon>
                                </span>
                            </ng-template>
                        </ng-template>


                        <ng-template #eBlock>
                            <span *ngIf="value[column.key] === 'OK' || value[column.key] === 'Inte OK'; else just_value">
                                <span *ngIf="value[column.key] === 'OK'; then greenCheck else redCheck"></span>

                                <span> {{ value[column.key] }}</span>
                            </span>
                        </ng-template>
                        
                        <ng-template #just_value>
                            <span *ngIf="column.key === 'approval' && value[column.key] === 'Godkänd'; then greenCheck"></span>
                            <span *ngIf="column.key === 'approval' && value[column.key] === 'Utred'; then yellowCheck"></span>

                            <span> {{ value[column.key] }}</span>
                        </ng-template>

                    </td>
                </tr>
            </tbody>
        </table>
    </digi-table>

    <company-popover *ngIf="selectedCompany && showCompanyPopover" [company]="selectedCompany" [modalPipe]="modalPipe"
        (close)="closeCompanyPopup($event)"></company-popover>
</div>
